<div class="modal" id="userDataModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="userDataLabel">Please Enter Your Info</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form class="modal-body" *ngIf="user">
                <div class="mb-3">
                    <label for="mobile" class="form-label">Full Name</label>
                    <input class="form-control form-control-sm" value={{user.displayName}} id="mobile" type="text" #displayName>
                </div>
                <input class="form-control form-control-sm" value={{user.email}} type="hidden" #email>
                <div class="mb-3">
                    <label for="mobile" class="form-label">Mobile Number</label>
                    <input class="form-control form-control-sm" id="mobile" type="text" #number>
                </div>
                <div class="mb-3">
                    <label for="location" class="form-label">Location</label>
                    <input class="form-control form-control-sm" id="location" type="text" #location>
                </div>
                <div class="mb-3">
                    <button class="btn btn-primary" type="button" data-bs-dismiss="modal" aria-label="Close"
                        (click)="getUserData($event, displayName.value, email.value, location.value, number.value)">Save</button>
                </div>
            </form>
        </div>
    </div>
</div>